import { AllowOnlyNumbersDirective } from './allow-only-numbers.directive';
import {AbstractControl} from '@angular/forms';

describe('AllowOnlyNumbersDirective', () => {
  it('should create an instance', () => {
    const directive = new AllowOnlyNumbersDirective();
    expect(directive).toBeTruthy();
  });

  it('should not allow trailing dots', () => {
    const directive = new AllowOnlyNumbersDirective();
    const result = directive.validate({value: '123.'} as AbstractControl);
    expect(result?.appOnlyNumbersDirective).toBe('No ending decimal separators!');
  });
});
